function M_zeta    = calc_M_from_z(zeta,Mz)
%%  determine small motion wrt Mz
%
% zeta    6-vector, twist 
% Mz      [4x4] motion matrix
% M_zeta  [4x4] small motion matrix

R      = exp(calc_S(zeta(1:3)));
M_zeta = [R (eye(3)-R)*Mz(1:3,4)+zeta(4:6); 0 0 0 1 ];

end

